Name:           piper
Version:        0.7
Release:        %mkrel 1
Summary:        GTK application to configure gaming devices
Group:          System/Configuration
License:        GPLv2+
BuildArch:      noarch

URL:            https://github.com/libratbag/piper
Source0:        https://github.com/libratbag/piper/archive/v%{version}/%{name}-%{version}.tar.gz

Requires:       ratbagd
Requires:       python3-evdev
Requires:       python3-lxml
Requires:       python3-cairo
Requires:       python3-gobject3


BuildRequires:  meson
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-evdev
BuildRequires:  gettext
BuildRequires:  python3-lxml
BuildRequires:  ratbagd
BuildRequires:  python3-cairo
BuildRequires:  python3-flake8
BuildRequires:  gtk-update-icon-cache
BuildRequires:  appstream

%description

Piper is a GTK+ application to configure gaming mice. It is a graphical
front-end to the ratbagd DBus daemon.

Ratbagd currently supports devices from:
  - Logitech,
  - Etekcity,
  - GSkill,
  - Roccat,
  - Steelseries.

See the device files or the wiki page for a complete list of supported devices:
https://github.com/libratbag/libratbag/wiki/Devices

%files -f %{name}.lang
%{_datadir}/applications/org.freedesktop.Piper.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/scalable/apps/org.freedesktop.Piper.svg
%{_iconsdir}/hicolor/symbolic/apps/org.freedesktop.Piper-symbolic.svg
%{_datadir}/metainfo/org.freedesktop.Piper.appdata.xml
%python3_sitelib/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/*

%prep
%setup -q

%build

%meson
%meson_build

%install
%meson_install

%find_lang %{name}


%changelog
* Wed Jun 29 2022 julien <julien> 0.7-1.mga9
+ Revision: 1866734
- adjust BR
- new version 0.7

* Fri Apr 08 2022 julien <julien> 0.6-1.mga9
+ Revision: 1848178
- new version 0.6

* Sat Apr 02 2022 umeabot <umeabot> 0.5.1-4.mga9
+ Revision: 1840741
- Mageia 9 Mass Rebuild

* Sat Jun 26 2021 wally <wally> 0.5.1-3.mga9
+ Revision: 1732350
- Rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 0.5.1-2.mga9
+ Revision: 1732332
- rebuild for python 3.9 (mga#29180)

* Mon Jun 22 2020 julien <julien> 0.5.1-1.mga8
+ Revision: 1598505
- new version 0.5.1
- adjust file for man

* Mon May 25 2020 julien <julien> 0.5-1.mga8
+ Revision: 1587623
- new version 0.5

* Fri Apr 10 2020 julien <julien> 0.4-1.mga8
+ Revision: 1566219
- imported package piper

